Bug 789784 - Provide native systemd service
Summary: Provide native systemd service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mldonkey
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 751869
TreeView+ depends on / blocked
 
Reported: 2012-02-12 23:28 UTC by Jóhann B. Guðmundsson
Modified: 2012-02-15 17:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-15 17:23:25 UTC


Attachments (Terms of Use)
Native systemd service for mldonkey (234 bytes, text/plain)
2012-02-12 23:29 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2012-02-12 23:28:37 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2012-02-12 23:29:15 UTC
Created attachment 561336 [details]
Native systemd service for mldonkey

Comment 2 Richard W.M. Jones 2012-02-13 20:46:03 UTC
Jóhann, if you are PP, feel free to commit this.

Comment 3 Jóhann B. Guðmundsson 2012-02-13 21:19:23 UTC
Unfortunately I am not however Jon ( limburgher ) has been ping maintainers to see if he can ship the submitted unit I'll ping him and point him to this one.

Comment 4 Gwyn Ciesla 2012-02-14 17:08:25 UTC
I'm clear to do this one?

Comment 5 Jóhann B. Guðmundsson 2012-02-14 17:23:49 UTC
Yup according to commit 2 you just had left the irc yesterday before I could ping you about it.

Comment 6 Richard W.M. Jones 2012-02-14 17:25:05 UTC
Please do.  Cuts out the middleman.

Comment 7 Gwyn Ciesla 2012-02-14 17:35:53 UTC
Will do.

Comment 8 Gwyn Ciesla 2012-02-15 17:23:25 UTC
Done, had to patch for gcc47.  Thanks, all!


Note You need to log in before you can comment on or make changes to this bug.